<template>
  <authenticator>
    <template v-slot="{ user, signOut }">
      <button @click="signOut">Sign Out</button>
    </template>
  </authenticator>
  <h1>File Upload</h1>
  <input type="file" @change="selectFile"/>
  <button @click="uploadFile">Upload</button>
  <h1>{{message}}</h1>
</template>

<script>
  import { ref } from 'vue'
  import {defineComponent} from 'vue'
  import { Authenticator } from "@aws-amplify/ui-vue"
  import "@aws-amplify/ui-vue/styles.css"
  import Amplify, { Storage, Auth } from 'aws-amplify'
  import awsconfig from '../aws-exports'
  Amplify.configure(awsconfig);

  export default defineComponent({

    components: {
      Authenticator
    },

    data: () => {
      return {
        file: null,
        photo: null,
        message: ""
      }
    },

    methods: {
      selectFile(event){
        if (event.target.files && event.target.files[0]) {
            this.file = event.target.files[0]
        }
      },
      uploadFile () {
        Storage.put(`${this.file.name}`, this.file, { 
                  contentType: this.file.type 
              }).then(result => {
                this.upload = null;
                this.message = "Success"
              })
              .catch(err => {
                console.log(err)
                this.message = "Error"
                throw err
              });
      }
    }

  })

  const count = ref(0)
</script>